## audacious-plugins 3.6.2

=== Makefile ===
SUBDIRS = src po

DISTCLEAN = buildsys.mk config.h config.log config.status extra.mk

include buildsys.mk

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#
LOCALES = be.po \
	  bg.po \
	  ca.po \
	  cmn.po \
	  cs.po \
	  da.po \
	  de.po \
	  el.po \
	  en_GB.po \
	  es_AR.po \
	  es_MX.po \
	  es.po \
	  et.po \
	  eu.po \
	  fa_IR.po \
	  fi.po \
	  fr.po \
	  gl.po \
	  hu.po \
	  id_ID.po \
	  it.po \
	  ja.po \
	  ko.po \
	  ky.po \
	  lt.po \
	  lv.po \
	  ml_IN.po \
	  ms.po \
	  nl.po \
	  pl.po \
	  pt_BR.po \
	  pt_PT.po \
	  ru.po \
	  si.po \
	  sk.po \
	  sr.po \
	  sr_RS.po \
	  sv.po \
	  ta.po \
	  tr.po \
	  uk.po \
	  zh_CN.po \
	  zh_TW.po

include ../extra.mk
include ../buildsys.mk

POTTEMPLATE=$(PACKAGE_NAME).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE_NAME) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--msgid-bugs-address="http://redmine.audacious-media-player.org/" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --backup=simple --update "$$lang" $(POTTEMPLATE); done

=== src/aac-raw/Makefile ===
PLUGIN = aac-raw${PLUGIN_SUFFIX}

SRCS = aac.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${FAAD_CFLAGS} -I../..
LIBS += ${FAAD_LIBS} -lm -laudtag

=== src/adplug/Makefile ===
PLUGIN = adplug${PLUGIN_SUFFIX}

SRCS = adplug-xmms.cc		\
       core/fmopl.cc		\
       core/debug.cc		\
       core/adlibemu.cc		\
       core/adplug.cc		\
       core/emuopl.cc		\
       core/fprovide.cc	\
       core/player.cc		\
       core/database.cc	\
       core/hsc.cc		\
       core/sng.cc		\
       core/imf.cc		\
       core/players.cc		\
       core/protrack.cc	\
       core/a2m.cc		\
       core/adtrack.cc		\
       core/amd.cc		\
       core/bam.cc		\
       core/cmf.cc		\
       core/d00.cc		\
       core/dfm.cc		\
       core/dmo.cc		\
       core/hsp.cc		\
       core/ksm.cc		\
       core/mad.cc		\
       core/mid.cc		\
       core/mkj.cc		\
       core/cff.cc		\
       core/dtm.cc		\
       core/fmc.cc		\
       core/mtk.cc		\
       core/rad.cc		\
       core/raw.cc		\
       core/sa2.cc		\
       core/s3m.cc		\
       core/xad.cc		\
       core/flash.cc		\
       core/bmf.cc		\
       core/hybrid.cc		\
       core/hyp.cc		\
       core/psi.cc		\
       core/rat.cc		\
       core/u6m.cc		\
       core/rol.cc		\
       core/xsm.cc		\
       core/dro.cc		\
       core/dro2.cc		\
       core/lds.cc		\
       core/temuopl.cc		\
       core/msc.cc		\
       core/rix.cc		\
       core/adl.cc		\
       core/jbm.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS} -Wno-sign-compare
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${BINIO_CFLAGS} -I../.. -I./core
LIBS += ${BINIO_LIBS}

=== src/amidi-plug/Makefile ===
PLUGIN = amidi-plug${PLUGIN_SUFFIX}

SRCS = amidi-plug.cc		\
       backend-fluidsynth/b-fluidsynth.cc \
       i_midi.cc			\
       i_configure.cc		\
       i_configure-fluidsynth.cc	\
       i_fileinfo.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${FLUIDSYNTH_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${FLUIDSYNTH_LIBS} -lm

=== src/cd-menu-items/Makefile ===
PLUGIN = cd-menu-items${PLUGIN_SUFFIX}

SRCS = cd-menu-items.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}
CPPFLAGS += -I../.. ${GTK_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += ${GTK_LIBS}

=== src/delete-files/Makefile ===
PLUGIN = delete-files${PLUGIN_SUFFIX}

SRCS = delete-files.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CPPFLAGS += -I../.. ${GIO_CFLAGS} ${GTK_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += ${GIO_LIBS} ${GTK_LIBS} -laudgui

=== src/ffaudio/Makefile ===
PLUGIN = ffaudio${PLUGIN_SUFFIX}

SRCS = ffaudio-core.cc ffaudio-io.cc itunes-cover.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${FFMPEG_CFLAGS} -I../..
LIBS += ${FFMPEG_LIBS} -laudtag

=== src/filewriter/Makefile ===
PLUGIN = filewriter${PLUGIN_SUFFIX}

SRCS = filewriter.cc	\
       wav.cc		\
       mp3.cc		\
       vorbis.cc		\
       flac.cc           \
       convert.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} ${GTK_CFLAGS} ${FILEWRITER_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${FILEWRITER_LIBS}

=== src/flacng/Makefile ===
PLUGIN = flacng${PLUGIN_SUFFIX}

SRCS = plugin.cc \
       tools.cc \
       seekable_stream_callbacks.cc	\
       metadata.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${LIBFLAC_CFLAGS} -I../..
LIBS += ${LIBFLAC_LIBS}

=== src/gtkui/Makefile ===
PLUGIN = gtkui${PLUGIN_SUFFIX}

SRCS = columns.cc \
       layout.cc \
       menus.cc \
       ui_infoarea.cc \
       ui_gtk.cc \
       ui_playlist_widget.cc \
       ui_playlist_notebook.cc \
       ui_statusbar.cc \
       playlist_util.cc \
       settings.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${GTK_CFLAGS}
LIBS += -lm ${GTK_LIBS} -laudgui

=== src/notify/Makefile ===
PLUGIN = notify${PLUGIN_SUFFIX}

SRCS = event.cc notify.cc osd.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CPPFLAGS += -I../.. ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${NOTIFY_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += ${GTK_LIBS} ${NOTIFY_LIBS} -laudgui

=== debian/changelog ===
audacious-plugins (3.6.2-2ubuntu1) xenial-proposed; urgency=medium

  * SRU: LP: #1597407. Fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jun 2016 17:44:44 +0200

audacious-plugins (3.6.2-2build1) xenial; urgency=medium

  * Rebuild against libsndio6.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Mar 2016 22:37:29 +0100

audacious-plugins (3.6.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Dec 2015 21:36:26 +0100

audacious-plugins (3.6.2-1) experimental; urgency=medium

  * Team upload.

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - Bump Build-Depends on audacious to 3.6.
    - Bump Standards-Version to 3.9.6.
    - Update VCS URL's.

  [ Sebastian Ramacher ]
  * debian/rules: Build with -Wl,--as-needed.
  * debian/control:
    - Build-Depends:
      + Removed unused Build-Depends.
      + Change libgtk-3-dev to libgtk2.0-dev.
      + Change libsdl1.2-dev to libsdl2-dev.
      + Add libsndio-dev.
      + Add libsoxr-dev.
      + Add libxml2-dev.
      + Add libdbus-glib-1-dev.
    - Remove obsolete Breaks+Replaces
    - Tighten audacious-plugins-data Depends.
    - Removed no longer needed Pre-Depends.
  * debian/copyright:
    - Update file paths.
    - Remove unused paragraphs.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 15 Dec 2015 01:03:51 +0100

=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Chris Taylor <ctaylor@debian.org>,
 Bilal Akhtar <bilalakhtar@ubuntu.com>,
 Cyril Lavier <cyril.lavier@davromaniak.eu>
Build-Depends:
 audacious-dev (>= 3.6),
 debhelper (>= 9),
 dh-autoreconf,
 libasound2-dev (>= 1.0) [linux-any],
 libavcodec-dev (>= 4:0.6.1),
 libavformat-dev (>= 4:0.6.1),
 libavutil-dev (>= 4:0.6.1),
 libbinio-dev (>= 1.4),
 libbs2b-dev,
 libcairo2-dev (>= 1.2.4),
 libcddb2-dev (>= 1.2.1),
 libcdio-cdda-dev (>= 0.70),
 libcue-dev,
 libcurl4-gnutls-dev,
 libdbus-glib-1-dev,
 libfaad-dev,
 libflac-dev (>= 1.2.1),
 libfluidsynth-dev (>= 1.0.6) [linux-any],
 libgtk2.0-dev,
 libjack-dev,
 liblircclient-dev,
 libmms-dev (>= 0.3),
 libmodplug-dev,
 libmp3lame-dev,
 libmpg123-dev,
 libneon27-gnutls-dev (>= 0.26),
 libnotify-dev,
 libogg-dev (>= 1.0),
 libpulse-dev (>= 0.9) [linux-any],
 libsamplerate0-dev (>= 0.0.15),
 libsdl2-dev,
 libsidplayfp-dev,
 libsndfile1-dev (>= 0.19),
 libsndio-dev,
 libsoxr-dev,
 libtagc0-dev (>= 1.4),
 libvorbis-dev (>= 1.1),
 libwavpack-dev (>= 4.31),
 libxcomposite-dev,
 libxml2-dev,
 oss4-dev
Homepage: http://www.audacious-media-player.org/
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/audacious-plugins.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Multi-Arch: same
Depends:
 audacious-plugins-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 audacious (>= 3.6)
Breaks:
 audacious (<< 3.6)
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * OSS output
  * Disk writer output
  * And many more!

Package: audacious-plugins-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 audacious-plugins (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 audacious-dbg
Description: Audacious-Plugins debug symbols
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the debugging symbols for the plugins collection of
 Audacious. Please install it before reporting any crashes, as it makes bug
 triage an easier process.

Package: audacious-plugins-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Data files for Audacious plugins
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 This package contains internationalized messages and skins for
 Audacious plugins.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags) \
		--disable-rpath

override_dh_strip:
	dh_strip --dbg-package=audacious-plugins-dbg

override_dh_auto_clean:
	dh_auto_clean || true

=== debian/watch ===
version=3
http://distfiles.audacious-media-player.org/audacious-plugins-([^-]*)\.tar\.bz2

## audacious-plugins 3.7.2

=== src/aosd/Makefile ===
PLUGIN = aosd${PLUGIN_SUFFIX}

SRCS = aosd.cc		\
       aosd_osd.cc	\
       aosd_style.cc	\
       aosd_trigger.cc	\
       aosd_ui.cc	\
       aosd_cfg.cc	\
       ghosd.c		\
       ghosd-main.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS} ${XRENDER_CFLAGS} ${XCOMPOSITE_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${XRENDER_LIBS} ${XCOMPOSITE_LIBS} -lm

=== src/coreaudio/Makefile ===
PLUGIN = coreaudio${PLUGIN_SUFFIX}

SRCS = coreaudio.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}
CPPFLAGS += -I../..
CXXFLAGS += ${PLUGIN_CFLAGS}
LIBS += -lm -framework CoreAudio

=== debian/changelog ===
audacious-plugins (3.7.2-2.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 20 Feb 2017 15:33:19 +0100

audacious-plugins (3.7.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build-dependency on oss4-dev for Linux kernel (Closes: #852984)

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2017 11:54:36 +0000

audacious-plugins (3.7.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports. (No changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 29 Apr 2016 12:25:42 -0400

audacious-plugins (3.7.2-2) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    - Add disable-qtglspectrum on armel and armhf to fix FTBFS. (Closes:
      #820599)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 10 Apr 2016 22:23:43 +0200

audacious-plugins (3.7.2-1) unstable; urgency=medium

  [ Andrew Shadura ]
  * Team upload.
  * Build for Qt5 UI.

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - Bump Build-Depends on audacious to 3.7.
    - Bump Standards-Version to 3.9.7.
    - Drop audacious-plugins-dbg package.
  * debian/watch: 
    - Bump version to 4.
  * Update debian/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 08 Apr 2016 10:24:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
  Cyril Lavier <cyril.lavier@davromaniak.eu>
 Build-Depends:
- audacious-dev (>= 3.6),
+ audacious-dev (>= 3.7),
  debhelper (>= 9),
  dh-autoreconf,
  libasound2-dev (>= 1.0) [linux-any],
@@ -47,9 +47,12 @@
  libwavpack-dev (>= 4.31),
  libxcomposite-dev,
  libxml2-dev,
- oss4-dev
+ oss4-dev [!linux-any],
+ qtbase5-dev,
+ qtmultimedia5-dev,
+ libqt5opengl5-dev
 Homepage: http://www.audacious-media-player.org/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/audacious-plugins.git
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/audacious-plugins.git
 
@@ -61,9 +64,9 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- audacious (>= 3.6)
+ audacious (>= 3.7)
 Breaks:
- audacious (<< 3.6)
+ audacious (<< 3.7)
 Description: Base plugins for audacious
  Audacious is a fork of beep-media-player which supports winamp skins
  and many codecs.
@@ -94,36 +97,6 @@
   * Disk writer output
   * And many more!
 
-Package: audacious-plugins-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends:
- audacious-plugins (= ${binary:Version}),
- ${misc:Depends}
-Recommends:
- audacious-dbg
-Description: Audacious-Plugins debug symbols
- Audacious is a fork of beep-media-player which supports winamp skins
- and many codecs.
- .
- In the default install, the following codecs are supported:
- .
-  * MP3
-  * Ogg Vorbis
-  * AAC and AAC+
-  * FLAC
-  * Windows Media (WMA)
-  * Many module formats and much more!
- .
- Additionally, Audacious is extendable through plugins, and contains
- other useful features like LIRC support.
- .
- This package contains the debugging symbols for the plugins collection of
- Audacious. Please install it before reporting any crashes, as it makes bug
- triage an easier process.
-
 Package: audacious-plugins-data
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

ifeq ($(DEB_BUILD_ARCH),armel)
additional_confflags := --disable-qtglspectrum
endif

ifeq ($(DEB_BUILD_ARCH),armhf)
additional_confflags := --disable-qtglspectrum
endif

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags) \
		--disable-rpath --enable-qt

override_dh_auto_clean:
	dh_auto_clean || true

## audacious-plugins 3.9

=== po/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 #   have been introduced, and then continue with 'make update-po' or
 #   'make update-pot' respectively.
 #
-LOCALES = be.po \
+LOCALES = ar.po \
+	  be.po \
 	  bg.po \
 	  ca.po \
 	  cmn.po \

=== src/adplug/Makefile ===
--- 
+++ 
@@ -1,19 +1,21 @@
 PLUGIN = adplug${PLUGIN_SUFFIX}
 
 SRCS = adplug-xmms.cc		\
+       binio/binfile.cc		\
+       binio/binio.cc		\
+       binio/binstr.cc		\
        core/fmopl.cc		\
-       core/debug.cc		\
        core/adlibemu.cc		\
        core/adplug.cc		\
        core/emuopl.cc		\
-       core/fprovide.cc	\
+       core/fprovide.cc		\
        core/player.cc		\
-       core/database.cc	\
+       core/database.cc		\
        core/hsc.cc		\
        core/sng.cc		\
        core/imf.cc		\
        core/players.cc		\
-       core/protrack.cc	\
+       core/protrack.cc		\
        core/a2m.cc		\
        core/adtrack.cc		\
        core/amd.cc		\
@@ -61,6 +63,6 @@
 
 LD = ${CXX}
 CFLAGS += ${PLUGIN_CFLAGS}
-CXXFLAGS += ${PLUGIN_CFLAGS} -Wno-sign-compare
-CPPFLAGS += ${PLUGIN_CPPFLAGS} ${BINIO_CFLAGS} -I../.. -I./core
-LIBS += ${BINIO_LIBS}
+# FIXME: Turning off warnings for now; this code is awful
+CXXFLAGS += ${PLUGIN_CFLAGS} -Wno-sign-compare -Wno-shift-negative-value
+CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. -I./core -I./binio

=== src/amidiplug/Makefile ===
PLUGIN = amidi-plug${PLUGIN_SUFFIX}

SRCS = amidi-plug.cc		\
       backend-fluidsynth/b-fluidsynth.cc \
       i_midi.cc			\
       i_configure.cc		\
       i_configure-fluidsynth.cc	\
       i_fileinfo.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${FLUIDSYNTH_CFLAGS} -I../..
LIBS += ${FLUIDSYNTH_LIBS} -lm

ifeq ($(USE_GTK),yes)
CPPFLAGS += ${GTK_CFLAGS}
LIBS += ${GTK_LIBS}
endif

=== src/cairo-spectrum/Makefile ===
PLUGIN = cairo-spectrum${PLUGIN_SUFFIX}

SRCS = cairo-spectrum.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${VISUALIZATION_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${GTK_CFLAGS}
LIBS += -lm ${GTK_LIBS}

=== src/delete-files/Makefile ===
--- 
+++ 
@@ -9,6 +9,16 @@
 
 LD = ${CXX}
 
-CPPFLAGS += -I../.. ${GIO_CFLAGS} ${GTK_CFLAGS}
+CPPFLAGS += -I../.. ${GIO_CFLAGS}
 CFLAGS += ${PLUGIN_CFLAGS}
-LIBS += ${GIO_LIBS} ${GTK_LIBS} -laudgui
+LIBS += ${GIO_LIBS}
+
+ifeq ($(USE_GTK),yes)
+CPPFLAGS += ${GTK_CFLAGS}
+LIBS += ${GTK_LIBS} -laudgui
+endif
+
+ifeq ($(USE_QT),yes)
+CPPFLAGS += ${QT_CFLAGS}
+LIBS += ${QT_LIBS}
+endif

=== src/metronom/Makefile ===
PLUGIN = metronom${PLUGIN_SUFFIX}

SRCS = metronom.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..

=== src/neon/Makefile ===
PLUGIN = neon${PLUGIN_SUFFIX}

SRCS = neon.cc	\
       cert_verification.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${TRANSPORT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} ${NEON_CFLAGS} -I../..
LIBS += ${GLIB_LIBS} ${NEON_LIBS}

=== src/qtui/Makefile ===
PLUGIN = qtui${PLUGIN_SUFFIX}

SRCS = qtui.cc \
       dialogs-qt.cc \
       main_window.cc \
       menu-ops.cc \
       menus.cc \
       playlist.cc \
       playlist_header.cc \
       playlist_model.cc \
       playlist_tabs.cc \
       info_bar.cc \
       search_bar.cc \
       status_bar.cc \
       tool_bar.cc \
       time_slider.cc \
       settings.cc

include ../../buildsys.mk
include ../../extra.mk

# These overrides variables in buildsys.mk and so must come after it.
PACKAGE_NAME = audacious

CUSTOM_ICONS=no
ifeq ($(HAVE_MSWINDOWS),yes)
CUSTOM_ICONS=yes
endif
ifeq ($(HAVE_DARWIN),yes)
CUSTOM_ICONS=yes
endif

ifeq ($(CUSTOM_ICONS),yes)
DATA = QtUi/16/audio-volume-high.png \
       QtUi/16/audio-volume-low.png \
       QtUi/16/audio-volume-medium.png \
       QtUi/16/audio-volume-muted.png \
       QtUi/16/audio-volume-off.png \
       QtUi/16/document-open.png \
       QtUi/16/edit-find.png \
       QtUi/16/list-add.png \
       QtUi/16/media-playback-pause.png \
       QtUi/16/media-playback-start.png \
       QtUi/16/media-playback-stop.png \
       QtUi/16/media-playlist-repeat.png \
       QtUi/16/media-playlist-shuffle.png \
       QtUi/16/media-skip-backward.png \
       QtUi/16/media-skip-forward.png \
       QtUi/22/audio-volume-high.png \
       QtUi/22/audio-volume-low.png \
       QtUi/22/audio-volume-medium.png \
       QtUi/22/audio-volume-muted.png \
       QtUi/22/audio-volume-off.png \
       QtUi/22/document-open.png \
       QtUi/22/edit-find.png \
       QtUi/22/list-add.png \
       QtUi/22/media-playback-pause.png \
       QtUi/22/media-playback-start.png \
       QtUi/22/media-playback-stop.png \
       QtUi/22/media-playlist-repeat.png \
       QtUi/22/media-playlist-shuffle.png \
       QtUi/22/media-skip-backward.png \
       QtUi/22/media-skip-forward.png \
       QtUi/32/audio-volume-high.png \
       QtUi/32/audio-volume-low.png \
       QtUi/32/audio-volume-medium.png \
       QtUi/32/audio-volume-muted.png \
       QtUi/32/audio-volume-off.png \
       QtUi/32/document-open.png \
       QtUi/32/edit-find.png \
       QtUi/32/list-add.png \
       QtUi/32/media-playback-pause.png \
       QtUi/32/media-playback-start.png \
       QtUi/32/media-playback-stop.png \
       QtUi/32/media-playlist-repeat.png \
       QtUi/32/media-playlist-shuffle.png \
       QtUi/32/media-skip-backward.png \
       QtUi/32/media-skip-forward.png \
       QtUi/44/audio-volume-high.png \
       QtUi/44/audio-volume-low.png \
       QtUi/44/audio-volume-medium.png \
       QtUi/44/audio-volume-muted.png \
       QtUi/44/audio-volume-off.png \
       QtUi/44/document-open.png \
       QtUi/44/edit-find.png \
       QtUi/44/list-add.png \
       QtUi/44/media-playback-pause.png \
       QtUi/44/media-playback-start.png \
       QtUi/44/media-playback-stop.png \
       QtUi/44/media-playlist-repeat.png \
       QtUi/44/media-playlist-shuffle.png \
       QtUi/44/media-skip-backward.png \
       QtUi/44/media-skip-forward.png \
       QtUi/AUTHORS \
       QtUi/index.theme
endif

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${QT_CFLAGS}
LIBS += ${QT_LIBS} -laudqt

%.moc: %.h
	moc $< -o $@

rc_%.cc: %.qrc
	rcc $< -o $@

=== src/search-tool-qt/Makefile ===
PLUGIN = search-tool-qt${PLUGIN_SUFFIX}

SRCS = search-tool-qt.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}
CPPFLAGS += -I../.. ${GLIB_CFLAGS} ${QT_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += ${GLIB_LIBS} ${QT_LIBS} -laudqt

=== src/skins-qt/Makefile ===
PLUGIN = skins-qt${PLUGIN_SUFFIX}

SRCS = actions.cc \
       button.cc \
       dialogs-qt.cc \
       dock.cc \
       drag-handle.cc \
       eq-graph.cc \
       eq-slider.cc \
       equalizer.cc \
       hslider.cc \
       main.cc \
       menurow.cc \
       menu-ops.cc \
       menus.cc \
       monostereo.cc \
       number.cc \
       playlist.cc \
       playlist-slider.cc \
       playlist-widget.cc \
       playstatus.cc \
       plugin.cc \
       plugin-window.cc \
       skin.cc \
       skin-ini.cc \
       skins_cfg.cc \
       skinselector.cc \
       svis.cc \
       textbox.cc \
       util.cc \
       view.cc \
       vis-callbacks.cc \
       vis.cc \
       widget.cc \
       window.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${GLIB_CFLAGS} ${QT_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += -lm ${GLIB_LIBS} ${QT_LIBS} -laudqt

=== src/skins/Makefile ===
PLUGIN = skins${PLUGIN_SUFFIX}

SRCS = actions.cc \
       button.cc \
       dock.cc \
       drag-handle.cc \
       eq-graph.cc \
       eq-slider.cc \
       equalizer.cc \
       hslider.cc \
       main.cc \
       menu-ops.cc \
       menurow.cc \
       menus.cc \
       monostereo.cc \
       number.cc \
       playlist.cc \
       playlist-slider.cc \
       playlist-widget.cc \
       playstatus.cc \
       plugin.cc \
       plugin-window.cc \
       search-select.cc \
       skin.cc \
       skin-ini.cc \
       skins_cfg.cc \
       skinselector.cc \
       surface.cc \
       svis.cc \
       textbox.cc \
       util.cc \
       view.cc \
       vis-callbacks.cc \
       vis.cc \
       widget.cc \
       window.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${GTK_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += -lm ${GTK_LIBS} -laudgui

=== src/songchange/Makefile ===
PLUGIN = song_change${PLUGIN_SUFFIX}

SRCS = formatter.cc song_change.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..

=== debian/changelog ===
audacious-plugins (3.9-1build2) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 01:18:33 +0000

audacious-plugins (3.9-1build1) bionic; urgency=medium

  * No-change rebuild for libcdaudio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 11:32:30 +0000

audacious-plugins (3.9-1) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * debian/control:
    + Use /git/ instead of /cgit/ in Vcs-*.
    + Bump Standards-Version to 4.1.0, no changes needed.
    + Drop build-dependency on dh-autoreconf, implied by debhelper >= 10.
    + Update Recommends/Breaks for audacious 3.9.

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - Bump minimal audacious version to 3.8.
    - Bump Standards-Version to 3.9.8.
  * Bump debhelper version to 10.
  * Drop qt5 support.
  * Update debian/copyright.
  * debian/rules: Add hardening.

  [ Simon Quigley ]
  * New upstream version.
  * Run wrap-and-sort.
  * Build-dep on the latest audacious-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 24 Aug 2017 09:19:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Chris Taylor <ctaylor@debian.org>,
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
  Cyril Lavier <cyril.lavier@davromaniak.eu>
 Build-Depends:
- audacious-dev (>= 3.7),
- debhelper (>= 9),
- dh-autoreconf,
+ audacious-dev (>= 3.8),
+ debhelper (>= 10),
  libasound2-dev (>= 1.0) [linux-any],
  libavcodec-dev (>= 4:0.6.1),
  libavformat-dev (>= 4:0.6.1),
@@ -47,14 +47,11 @@
  libwavpack-dev (>= 4.31),
  libxcomposite-dev,
  libxml2-dev,
- oss4-dev [!linux-any],
- qtbase5-dev,
- qtmultimedia5-dev,
- libqt5opengl5-dev
+ oss4-dev [!linux-any]
+Standards-Version: 4.1.0
 Homepage: http://www.audacious-media-player.org/
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/audacious-plugins.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/audacious-plugins.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/audacious-plugins.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/audacious-plugins.git
 
 Package: audacious-plugins
 Architecture: any
@@ -64,9 +61,9 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- audacious (>= 3.7)
+ audacious (>= 3.9)
 Breaks:
- audacious (<< 3.7)
+ audacious (<< 3.9)
 Description: Base plugins for audacious
  Audacious is a fork of beep-media-player which supports winamp skins
  and many codecs.

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,14 @@
 endif
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,-fortify
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(additional_confflags) \
-		--disable-rpath --enable-qt
+		--disable-rpath
 
 override_dh_auto_clean:
 	dh_auto_clean || true

=== debian/watch ===
version=4
http://distfiles.audacious-media-player.org/audacious-plugins-([^-]*)\.tar\.bz2

## audacious-plugins 3.10

=== debian/changelog ===
audacious-plugins (3.10-1) unstable; urgency=medium

  * Cherry-picked upstream version 3.10
    (Closes: #912315)
  * debian/control
    - Bumped debhelper to >= 11.
    - Bumped compat to 11.
    - Bumped Standards to 4.2.1, no changes needed.
    - Use secure homepage uri.
    - Added myself to uploaders.
    - Fixed Breaks to audacious (<< 3.10)
  * debian/rules:
    - Added override_dh_missing.
    - Fixed host OS query.
  * Fixed watch file, use secure uri
  * Added upstream metadata
  * Updated debian/copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 03 Nov 2018 20:22:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Chris Taylor <ctaylor@debian.org>,
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
- Cyril Lavier <cyril.lavier@davromaniak.eu>
+ Cyril Lavier <cyril.lavier@davromaniak.eu>,
+ Alf Gaida <agaida@siduction.org>
 Build-Depends:
  audacious-dev (>= 3.8),
- debhelper (>= 10),
+ debhelper (>= 11),
  libasound2-dev (>= 1.0) [linux-any],
  libavcodec-dev (>= 4:0.6.1),
  libavformat-dev (>= 4:0.6.1),
@@ -48,10 +48,10 @@
  libxcomposite-dev,
  libxml2-dev,
  oss4-dev [!linux-any]
-Standards-Version: 4.1.0
-Homepage: http://www.audacious-media-player.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/audacious-plugins.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/audacious-plugins.git
+Standards-Version: 4.2.1
+Homepage: https://www.audacious-media-player.org/
+Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
+Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git
 
 Package: audacious-plugins
 Architecture: any
@@ -61,9 +61,9 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- audacious (>= 3.9)
+ audacious (>= 3.10)
 Breaks:
- audacious (<< 3.9)
+ audacious (<< 3.10)
 Description: Base plugins for audacious
  Audacious is a fork of beep-media-player which supports winamp skins
  and many codecs.

## audacious-plugins 3.10.1

=== po/Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	@echo Updating $(POTTEMPLATE) ...
 	xgettext --default-domain=$(PACKAGE_NAME) --language=C \
 	--keyword=_ --keyword=N_ --from-code="utf-8" \
-	--msgid-bugs-address="http://redmine.audacious-media-player.org/" \
+	--msgid-bugs-address="https://redmine.audacious-media-player.org/" \
 	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)
 
 update-po: update-pot

=== src/adplug/Makefile ===
PLUGIN = adplug${PLUGIN_SUFFIX}

SRCS = adplug-xmms.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
# FIXME: Turning off warnings for now; this code is awful
CXXFLAGS += ${PLUGIN_CFLAGS} -Wno-sign-compare -Wno-shift-negative-value
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${ADLIB_CFLAGS} -I../..
LIBS += ${ADLIB_LIBS}

=== src/alsa/Makefile ===
PLUGIN = alsa${PLUGIN_SUFFIX}

SRCS = alsa.cc \
       config.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${ALSA_CFLAGS} -I../..
LIBS += ${ALSA_LIBS}

=== src/ampache/Makefile ===
# Makefile
#
# Project: Ampache Browser Audacious Plugin
# License: GNU GPLv3
#
# Copyright (C) 2015 - 2016 Róbert Čerňanský

PLUGIN = ampache${PLUGIN_SUFFIX}

SRCS = ampache.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}
CPPFLAGS += -I../.. -I. ${QT_CFLAGS} ${AMPACHE_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += ${QT_LIBS} ${AMPACHE_LIBS}

=== src/aosd/Makefile ===
--- 
+++ 
@@ -17,5 +17,5 @@
 LD = ${CXX}
 
 CFLAGS += ${PLUGIN_CFLAGS}
-CPPFLAGS += ${PLUGIN_CPPFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS} ${XRENDER_CFLAGS} ${XCOMPOSITE_CFLAGS} -I../..
-LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${XRENDER_LIBS} ${XCOMPOSITE_LIBS} -lm
+CPPFLAGS += ${PLUGIN_CPPFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS} ${X11EXT_CFLAGS} -I../..
+LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${X11EXT_LIBS} -lm

=== src/lyricwiki/Makefile ===
PLUGIN = lyricwiki${PLUGIN_SUFFIX}

SRCS = lyricwiki.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${XML_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS}  ${XML_LIBS}

=== src/mac-media-keys/Makefile ===
PLUGIN = mac-media-keys${PLUGIN_SUFFIX}

SRCS = MacMediaKeys.mm \
       SPInvocationGrabbing.m \
       SPMediaKeyTap.m

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${OBJCXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..
LIBS += -framework AppKit

=== src/scrobbler2/Makefile ===
PLUGIN = scrobbler${PLUGIN_SUFFIX}

SRCS = scrobbler.cc \
	   scrobbler_communication.cc \
	   scrobbler_xml_parsing.cc \
	   config_window.cc


include ../../buildsys.mk
include ../../extra.mk

PACKAGE_NAME = audacious

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS} -Wall
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} ${CURL_CFLAGS} ${XML_CFLAGS} -I../..
LIBS += ${GLIB_LIBS} ${CURL_LIBS} ${XML_LIBS}

=== src/sid/Makefile ===
PLUGIN = sid${PLUGIN_SUFFIX}

SRCS = xs_config.cc	\
       xs_sidplay2.cc	\
       xmms-sid.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -DSIDDATADIR="\"$(datadir)/\"" -I../.. ${SIDPLAYFP_CFLAGS}
LIBS += -lm ${SIDPLAYFP_LIBS}

=== src/xsf/Makefile ===
PLUGIN = xsf${PLUGIN_SUFFIX}

SRCS = corlett.cc \
       plugin.cc \
       vio2sf.cc \
       desmume/armcpu.cc            desmume/bios.cc  desmume/FIFO.cc  desmume/matrix.cc  desmume/MMU.cc        desmume/SPU.cc \
       desmume/arm_instructions.cc  desmume/cp15.cc  desmume/GPU.cc   desmume/mc.cc      desmume/NDSSystem.cc  desmume/thumb_instructions.cc \

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CXXFLAGS += ${PLUGIN_CFLAGS} -Wno-sign-compare -Wno-shift-negative-value
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. -Ispu/
LIBS += -lm -lz

=== debian/changelog ===
audacious-plugins (3.10.1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:33:39 +0100

audacious-plugins (3.10.1-1build1) focal; urgency=medium

  * Rebuild against new libfluidsynth2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Dec 2019 12:17:53 +0100

audacious-plugins (3.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Feb 2019 19:41:20 +0100

=== debian/control ===
--- 
+++ 
@@ -61,9 +61,9 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- audacious (>= 3.10)
+ audacious (>= 3.10.1)
 Breaks:
- audacious (<< 3.10)
+ audacious (<< 3.10.1)
 Description: Base plugins for audacious
  Audacious is a fork of beep-media-player which supports winamp skins
  and many codecs.

=== debian/rules ===
#!/usr/bin/make -f

BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

ifeq ($(BUILD_ARCH),armel)
additional_confflags := --disable-qtglspectrum
endif

ifeq ($(BUILD_ARCH),armhf)
additional_confflags := --disable-qtglspectrum
endif

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,-fortify

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags) \
		--disable-rpath

override_dh_auto_clean:
	dh_auto_clean || true


override_dh_missing:
	dh_missing --fail-missing

## audacious-plugins 4.0

=== debian/changelog ===
audacious-plugins (4.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Mar 2020 06:21:36 -0700

audacious-plugins (4.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Update the copyrights as per upstream commit 485d513.
  * Update Uploaders.
  * Build with GTK+ without Qt.
  * Require Audacious 4.0.
  * Use debhelper compat 12.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 22 Mar 2020 22:19:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Chris Taylor <ctaylor@debian.org>,
- Bilal Akhtar <bilalakhtar@ubuntu.com>,
- Cyril Lavier <cyril.lavier@davromaniak.eu>,
- Alf Gaida <agaida@siduction.org>
+ Andrej Shadura <andrewsh@debian.org>,
+ Alf Gaida <agaida@siduction.org>,
+ Mateusz Łukasik <mati75@linuxmint.pl>,
+ Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- audacious-dev (>= 3.8),
- debhelper (>= 11),
+ audacious-dev (>= 4.0),
+ debhelper-compat (= 12),
  libasound2-dev (>= 1.0) [linux-any],
  libavcodec-dev (>= 4:0.6.1),
  libavformat-dev (>= 4:0.6.1),

## audacious-plugins 4.0.2

=== debian/changelog ===
audacious-plugins (4.0.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Apr 2020 15:52:16 -0700

audacious-plugins (4.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Mar 2020 06:21:36 -0700

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(additional_confflags) \
-		--disable-rpath
+		--disable-rpath --enable-gtk --disable-qt \
+		--disable-streamtuner
 
 override_dh_auto_clean:
 	dh_auto_clean || true
@@ -30,3 +31,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## audacious-plugins 4.0.4

=== debian/changelog ===
audacious-plugins (4.0.4-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Jun 2020 16:11:55 -0700

audacious-plugins (4.0.4-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream bugfix release.

  [ Jonathan Rubenstein ]
  * Add libopenmpt-dev as a build dependency. This allows the OpenMPT input
    plugin to build and get included in the package (Closes: #955276).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 03 Jun 2020 15:58:28 +0200

audacious-plugins (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 Apr 2020 12:05:54 +0200

audacious-plugins (4.0-3) unstable; urgency=medium

  * Reenable Qt builds.
  * Build-depend on a suffiently new Audacious.
  * Wrap long lines in changelog entries: 1.4.1-2, 1.3.5-4, 1.3.5-3, 1.3.5-2,
    1.3.5-1, 1.3.4-1, 1.2.5-1.
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 2.3-2.
  * Bump Standards-Version to 4.5.0.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 18 Apr 2020 12:59:50 +0200

audacious-plugins (4.0-2) unstable; urgency=medium

  * Add the Debian XMMS skin (Closes: #504754).
  * Update copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Mar 2020 10:34:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Alf Gaida <agaida@siduction.org>,
- Mateusz Łukasik <mati75@linuxmint.pl>,
- Sebastian Ramacher <sramacher@debian.org>
+ Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
- audacious-dev (>= 4.0),
- debhelper-compat (= 12),
+ audacious-dev (>= 4.0.4~),
+ debhelper (>= 10),
  libasound2-dev (>= 1.0) [linux-any],
  libavcodec-dev (>= 4:0.6.1),
  libavformat-dev (>= 4:0.6.1),
@@ -36,7 +35,9 @@
  libneon27-gnutls-dev (>= 0.26),
  libnotify-dev,
  libogg-dev (>= 1.0),
+ libopenmpt-dev (>= 0.2),
  libpulse-dev (>= 0.9) [linux-any],
+ libqt5opengl5-dev,
  libsamplerate0-dev (>= 0.0.15),
  libsdl2-dev,
  libsidplayfp-dev,
@@ -48,8 +49,10 @@
  libwavpack-dev (>= 4.31),
  libxcomposite-dev,
  libxml2-dev,
- oss4-dev [!linux-any]
-Standards-Version: 4.2.1
+ oss4-dev [!linux-any],
+ qtbase5-dev,
+ qtmultimedia5-dev,
+Standards-Version: 4.5.0
 Homepage: https://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
 Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git
